Get file carve
GET
/api/v1/carves/{env}/{name}
const url = 'https://osctrl.net/api/v1/carves/example/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/carves/example/example \ --header 'Authorization: <Authorization>'Returns a file carve and the files produced by it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
name
required
string
Carve query name
Responses
Section titled “Responses”OK
Media typeapplication/json
object
files
Array<object>
object
archived
boolean
block_size
integer
carve_id
string
carve_size
integer
completed_at
string
completed_blocks
integer
created_at
string
path
string
session_id
string
status
string
total_blocks
integer
uuid
string
query
object
active
boolean
carve_status
string
completed
boolean
created_at
string
creator
string
deleted
boolean
environment_id
integer
errors
integer
executions
integer
expected
integer
expiration
string
expired
boolean
extra_data
string
hidden
boolean
id
integer
name
string
path
string
protected
boolean
query
string
target
string
targets
Array<object>
object
type
string
value
string
type
string
updated_at
string
Examplegenerated
{ "files": [ { "archived": true, "block_size": 1, "carve_id": "example", "carve_size": 1, "completed_at": "example", "completed_blocks": 1, "created_at": "example", "path": "example", "session_id": "example", "status": "example", "total_blocks": 1, "uuid": "example" } ], "query": { "active": true, "carve_status": "example", "completed": true, "created_at": "example", "creator": "example", "deleted": true, "environment_id": 1, "errors": 1, "executions": 1, "expected": 1, "expiration": "example", "expired": true, "extra_data": "example", "hidden": true, "id": 1, "name": "example", "path": "example", "protected": true, "query": "example", "target": "example", "targets": [ { "type": "example", "value": "example" } ], "type": "example", "updated_at": "example" }}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}